# Class: c3.Axis.X

Defined in: | js/c3-plot.coffee
Inherits: | c3.Axis

## Overview

Horizontal X-Axis

### See also:

- c3.Axis

## Variables Summary

type =

      'x'

orient =

      'bottom'

### Variable inherited from c3.Axis

version type _next_uid scale orient grid label ticks tick_label tick_values tick_count tick_size path_size axis_size class options content_options anchor height width anchor_styles handlers

## Instance Method Summary

- # (void) _init() Bound
- # (void) _size() Bound
- # (void) _draw() Bound

## Inherited Method Summary

### Methods inherited from c3.Axis

#_init #_draw #init #style #render #resize #redraw #restyle #_prep #size #_size #update #_update #draw #_style

## Instance Method Details

# (void) _init() Bound

# (void) _size() Bound

# (void) _draw() Bound

Quickly fuzzy find classes, mixins, methods, file:

- T Open fuzzy finder dialog

Control the navigation frame:

- L Toggle list view
- C Show class list
- I Show mixin list
- F Show file list
- M Show method list
- E Show extras list

You can focus and blur the search input:

- S Focus search input
- Esc Blur search input